Bug 1282137 - [abrt] fusion-icon: g_settings_set_property(): python2.7 killed by SIGTRAP
[abrt] fusion-icon: g_settings_set_property(): python2.7 killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fusion-icon (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3c09644c7ab6169db48cc62a80d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 22:02 EST by Christopher
Modified: 2015-12-02 13:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:51:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (134.17 KB, text/plain)
2015-11-14 22:03 EST, Christopher
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-14 22:03 EST, Christopher
no flags Details
File: core_backtrace (22.89 KB, text/plain)
2015-11-14 22:03 EST, Christopher
no flags Details
File: dso_list (9.49 KB, text/plain)
2015-11-14 22:03 EST, Christopher
no flags Details
File: environ (1.56 KB, text/plain)
2015-11-14 22:03 EST, Christopher
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-14 22:03 EST, Christopher
no flags Details
File: maps (40.89 KB, text/plain)
2015-11-14 22:03 EST, Christopher
no flags Details
File: open_fds (923 bytes, text/plain)
2015-11-14 22:03 EST, Christopher
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-11-14 22:03 EST, Christopher
no flags Details

  None (edit)
Description Christopher 2015-11-14 22:02:51 EST
Description of problem:
After kernel update, compiz fusion-icon would not load.

Version-Release number of selected component:
fusion-icon-0.1.1-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/fusion-icon
crash_function: g_settings_set_property
executable:     /usr/bin/python2.7
kernel:         4.1.12-101.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_settings_set_property at gsettings.c:481
 #3 object_set_property at gobject.c:1415
 #4 g_object_new_internal at gobject.c:1808
 #5 g_object_new_valist at gobject.c:2034
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:525
 #9 pygi_invoke_c_callable at pygi-invoke.c:628
 #10 _function_cache_invoke_real at pygi-cache.c:714
 #11 _constructor_cache_invoke_real at pygi-cache.c:858
 #12 pygi_function_cache_invoke at pygi-cache.c:793
Comment 1 Christopher 2015-11-14 22:03:00 EST
Created attachment 1094297 [details]
File: backtrace
Comment 2 Christopher 2015-11-14 22:03:00 EST
Created attachment 1094298 [details]
File: cgroup
Comment 3 Christopher 2015-11-14 22:03:03 EST
Created attachment 1094299 [details]
File: core_backtrace
Comment 4 Christopher 2015-11-14 22:03:08 EST
Created attachment 1094300 [details]
File: dso_list
Comment 5 Christopher 2015-11-14 22:03:11 EST
Created attachment 1094301 [details]
File: environ
Comment 6 Christopher 2015-11-14 22:03:12 EST
Created attachment 1094302 [details]
File: limits
Comment 7 Christopher 2015-11-14 22:03:13 EST
Created attachment 1094303 [details]
File: maps
Comment 8 Christopher 2015-11-14 22:03:14 EST
Created attachment 1094304 [details]
File: open_fds
Comment 9 Christopher 2015-11-14 22:03:15 EST
Created attachment 1094305 [details]
File: proc_pid_status
Comment 10 Christopher 2015-11-15 00:58:11 EST
Issue resolved.

For some reason, package "marco" is now required for compiz-fusion to load.

BEFORE:
[christopher@aries ~]$ fusion-icon
(fusion-icon:5683): GLib-GIO-ERROR **: Settings schema 'org.mate.Marco.general' is not installed

REMEDIATE:
[christopher@aries ~]$ sudo yum install marco
(snip)
Installed:
  marco.x86_64 0:1.10.3-1.fc21                                                  

Dependency Installed:
  libgtop2.x86_64 0:2.30.0-4.fc21    mate-desktop-libs.x86_64 0:1.10.2-1.fc21   

Complete!


AFTER:
[christopher@aries ~]$  * Detected Session: xfce
 * Searching for installed applications...
 * NVIDIA on Xorg detected, exporting: __GL_YIELD=NOTHING
 * Starting Compiz
 ... executing: compiz --replace --sm-disable --ignore-desktop-hints ccp
Comment 11 Wolfgang Ulbrich 2015-11-15 05:37:14 EST
Thanks, for reporting this.
FusionIcon can now load the gtk-windows-decorator correctly, and the gwd use as build dependency marco.
The schema is needed for that fusion-icon knows which metacity theme gwd use.
This means for xfce you can change the gwd theme via gsettings.
With dconf-editor or command line.
An example:
[rave@mother ~]$ gsettings get org.mate.Marco.general theme
'Blue-Submarine'
[rave@mother ~]$ gsettings set org.mate.Marco.general theme 'BlueMenta'

But i think i need to split out the gesttings key into a subpackage from marco,
to avoid other dependencies to mate-desktop-libs.
Comment 12 Wolfgang Ulbrich 2015-11-15 06:31:23 EST
Well, can you please test this marco scratch build?
http://koji.fedoraproject.org/koji/taskinfo?taskID=11847496
1. remove marco.x86_64 0:1.10.3-1.fc21 mate-desktop-libs.x86_64 0:1.10.2-1.fc21
libgtop2.x86_64 0:2.30.0-4.fc21
2. download the scratch build
3. install only the marco-schema package
4. start fusion-icon

Fusion-icon should start now and you should able to select the gwd decorator in context menu of fusion-icon.
Please check before that the command 'gsettings get org.mate.Marco.general theme'
shows you a metacity theme.
Otherwise gwd will load with cairo decorator theme, same as with older version of fusion-icon.

I use/maintain mate or cinnamon only, so I need your help.

Thank you
Comment 13 Wolfgang Ulbrich 2015-11-15 11:58:28 EST
Ok, i tested it for may self and fusion-icon starts with only marco-schema package installed.
But splitting the package makes no sense, because new compiz-0.8.9 which is in updates-testing, will pull in marco already.
Comment 14 Fedora End Of Life 2015-12-02 10:51:59 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.